package net.northking.cctp.dataPool.dto.dataSets;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import java.io.Serializable;

@JsonSerialize
@ApiModel(description = "列校验实体")
public class ColumnCheckDto implements Serializable {
    /**
     * 数据集id<br>
     */
    @ApiModelProperty("数据集id")
    @Size(max = 32, message="数据集id-dataSetId: 数据长度不能 > 32" )
    @NotBlank(message = "数据集id不能为空")
    private String dataSetId;

    @ApiModelProperty("新增列实体")
    private DataHeaderDto columnInfo;

    public String getDataSetId() {
        return dataSetId;
    }

    public void setDataSetId(String dataSetId) {
        this.dataSetId = dataSetId;
    }

    public DataHeaderDto getColumnInfo() {
        return columnInfo;
    }

    public void setColumnInfo(DataHeaderDto columnInfo) {
        this.columnInfo = columnInfo;
    }
}
